package com.zehong.system.domain.track;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 生产计划对象 t_product_plan
 * 
 * @author zehong
 * @date 2024-08-24
 */
public class TProductPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 计划名称 */
    @Excel(name = "计划名称")
    private String title;

    /** 计划编号 */
    @Excel(name = "计划编号")
    private String planNo;

    /** 计划描述 */
    @Excel(name = "计划描述")
    private String content;

    /** 生产总数 */
    @Excel(name = "生产总数")
    private Long total;

    /** 计划状态（数据字典） */
    @Excel(name = "计划状态", dictType = "product_plan_status")
    private String status;

    /** 创建人 */
    private Long createId;

    private String isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setPlanNo(String planNo) 
    {
        this.planNo = planNo;
    }

    public String getPlanNo() 
    {
        return planNo;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setTotal(Long total) 
    {
        this.total = total;
    }

    public Long getTotal() 
    {
        return total;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setCreateId(Long createId) 
    {
        this.createId = createId;
    }

    public Long getCreateId() 
    {
        return createId;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("planNo", getPlanNo())
            .append("content", getContent())
            .append("total", getTotal())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("createId", getCreateId())
            .toString();
    }
}
